Skip to content

Environment Compatibility

This section describes the environment compatibilities of WSO2 Streaming Integrator.

Tested Operating Systems

WSO2 SI is tested with the following operating systems:

Operating System Versions
Windows 7
10
Ubuntu 16.04
17.04
18.04
MacOS High Sierra

Tested JDKs

WSO2 SI is tested with the following JDKs

JDK Version
Oracle JDK 8
OpenJDK 8

Tested DBMSs (Database Management Systems)

WSO2 SI is tested with the following DBMSs

DBMS Version
H2 1.4.187
MySQL 5.7
Microsoft SQL Server 2017
Oracle 11.2.0.2-x
PostgreSQL 9.6

Tested Web Browsers

WSO2 SI is tested with the following web browsers.

  • Firefox (56.0 and later)
  • Google Chrome
  • Safari

Known Incompatibilities

Given below are the OS and JDK incompatibilities we have come across while testing WSO2 Streaming Integrator

Operating System Operating System Version JDK Version
macOS High Sierra 10.13.1 (17B1003) JDK1.8.0_20
JDK1.8.0_144
JDK1.8.0_152
JDK1.8.0_162
macOS High Sierra 10.13.2 JDK1.8.0_144
JDK1.8.0_152
Ubunto 14.04 JDK1.8.0_151
JDK1.8.0_152
JDK1.8.0_161
Ubunto 16.04 JDK1.8.0_151
JDK1.8.0_152
JDK1.8.0_161
JDK1.8.0_162
Top